Skip to content

Create Plotline

POST
/api/creative/plot/plotlines

Create a new plotline (with auto-generated Legendry entry).

PlotlineCreateRequest

Create a new plotline.

object
title
required
Title

Plotline title

string
>= 1 characters <= 500 characters
parentId
Any of:
string
summary
Summary

Brief summary

string
""
subplotType
Subplottype

Subplot classification

string
default: main
Allowed values: main mirror contrast complication character_development world_building
scale
Scale

Narrative scope

string
default: plotline
Allowed values: saga arc plotline subplot
color
Color

Display color hex

string
default: #6b7280
status
Status

Lifecycle status

string
default: active
Allowed values: active resolved dormant dropped
importance
Importance

Importance tier

string
default: major
Allowed values: major supporting minor
beatSheetTemplateId
Any of:
string
stakes
Stakes

What’s at risk

string
""
themes
Themes

Themes and motifs

string
""
notes
Notes

Author notes

string
""
categoryId
Any of:
string

Successful Response

PlotlineResponse

Single plotline response wrapper.

object
status
required
Status

Operation status

string
data
required
Plotline

The plotline

object
id
required
Id

Plotline UUID

string
projectId
required
Projectid

Owning project

string
parentId
Any of:
string
title
required
Title

Plotline title

string
summary
Summary

Brief summary

string
""
subplotType
Subplottype

Subplot classification

string
default: main
Allowed values: main mirror contrast complication character_development world_building
scale
Scale

Narrative scope (saga/arc/plotline/subplot)

string
default: plotline
Allowed values: saga arc plotline subplot
color
Color

Display color hex

string
default: #6b7280
sortOrder
Sortorder

Sort position among siblings

integer
0
status
Status

Lifecycle status

string
default: active
Allowed values: active resolved dormant dropped
importance
Importance

Importance tier

string
default: major
Allowed values: major supporting minor
beatSheetTemplateId
Any of:
string
loreEntryId
Any of:
string
stakes
Stakes

What’s at risk if this plotline fails

string
""
themes
Themes

Recurring themes, symbols, or motifs

string
""
notes
Notes

Private author notes

string
""
createdAt
required
Createdat

Created timestamp (ms)

integer
modifiedAt
required
Modifiedat

Modified timestamp (ms)

integer

Validation Error

HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object